## dzl-version dzl-version — Dazzle version checking |

## Functions

#define | DZL_ENCODE_VERSION()
#define | DZL_CHECK_VERSION()

## Types and Values

#define | DZL_MAJOR_VERSION
#define | DZL_MINOR_VERSION
#define | DZL_MICRO_VERSION
#define | DZL_VERSION
#define | DZL_VERSION_S
#define | DZL_VERSION_HEX

## Description

Dazzle provides macros to check the version of the library at compile-time

## Functions

### DZL_ENCODE_VERSION()

    #define             DZL_ENCODE_VERSION(major,minor,micro)

### DZL_CHECK_VERSION()

    #define             DZL_CHECK_VERSION(major,minor,micro)

Compile-time version checking. Evaluates to `TRUE` if the version of dazzle is greater than the required one.

#### Parameters

major | required major version |
minor | required minor version |
micro | required micro version |

## Types and Values

### DZL_MAJOR_VERSION

    #define DZL_MAJOR_VERSION              (3)

Dzl major version component (e.g. 1 if `DZL_VERSION` is 1.2.3)

### DZL_MINOR_VERSION

    #define DZL_MINOR_VERSION              (26)

Dzl minor version component (e.g. 2 if `DZL_VERSION` is 1.2.3)

### DZL_MICRO_VERSION

    #define DZL_MICRO_VERSION              (1)

Dzl micro version component (e.g. 3 if `DZL_VERSION` is 1.2.3)

### DZL_VERSION

    #define DZL_VERSION                    (3.26.1)

Dzl version.

### DZL_VERSION_S

    #define DZL_VERSION_S                  "3.26.1"

Dazzle version, encoded as a string, useful for printing and concatenation.

### DZL_VERSION_HEX

    #define             DZL_VERSION_HEX

Dazzle version, encoded as an hexadecimal number, useful for integer comparisons.